DATE(1)

NAZWA
date - wyświetla lub ustawia datę i czas systemowy

SKŁADNIA
date [OPCJA]... [+FORMAT]
date [-u|--utc|--universal] [MMDDhhmm[[CC]YY][.ss]]

OPIS

Wyświetla aktualny czas w podanym FORMACIE lub ustawia datę systemową.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-d, --date=ŁAŃCUCH
    wyświetla czas podany w ŁAŃCUCHU, nie aktualny

-f, --file=PLIK-DAT
    jak --date; dla każdego wiersza PLIKU-DAT

-I[FORMAT], --iso-8601[=FORMAT]
    wypisuje datę/czas w formacie ISO 8601. FORMAT=date daje samą datę (domyślnie), natomiast hours, minutes, seconds lub ns daje datę i czas o określonej precyzji. Przykład: 2006-08-14T02:34:56-0600

-R, --rfc-2822
    Wyświetla czas i datę w formacie RFC 2822. Przykład: Mon, 14 Aug 2006 02:34:56 -0600

--rfc-3339=FORMAT
    wyświetla czas i datę w formacie RFC 3339. FORMAT=date, seconds lub ns wyświetla czas i datę z żądaną precyzją. Przykład 2006-08-14 02:34:56-06:00

-r, --reference=PLIK
    wyświetla czas ostatnie modyfikacji PLIKU

-s, --set=ŁAŃCUCH
    ustawia czas na opisany w ŁAŃCUCHU

-u, --utc, --universal
    wyświetla lub ustawia czas uniwersalny (UTC)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

FORMAT określa wyjście. Rozpoznawane sekwencje:

%%  literalny znak procenta %

%a  lokalny skrót nazwy dnia tygodnia (np. nie)

%A  lokalna pełna nazwa dnia tygodnia (np. niedziela)

%b  lokalny skrót nazwy miesiąca (np. sty)

%B  lokalna pełna nazwa miesiąca (np. styczeń)

%c  lokalna data i czas (np. czw mar 3 23:05:25 2005)

%C  stulecie, jak %Y, tylko z obciętymi ostatnimi dwiema cyframi (np. 20)

%d  dzień miesiąca (np. 01)

%D  data, to samo co %m/%d/%y

%e  dzień miesiąca uzupełniony spacjami, jak %_d

%F  pełna data; to samo co %Y-%m-%d

%g  ostatnie dwie cyfry roku numeru tygodnia ISO (patrz %G)

%G  rok numeru tygodnia ISO (patrz %V); użyteczny zwykle jedynie z %V

%h  to samo co %b

%H  godzina (00..23)

%I  godzina (01..12)

%j  dzień roku (001..366)

%k  godzina, uzupełniona spacją ( 0..23); to samo co %_H

%l  godzina, uzupełniona spacją ( 1..12); to samo co %_I

%m  miesiąc (01..12)

%M  minuta (00..59)

%n  znak nowego wiersza

%N  nanosekundy (000000000..999999999)

%p  lokalny odpowiednik AM lub PM; w wielu językach pusty (w tym w polskim)

%P  jak %p, lecz małymi literami

%r  czas w formacie 12-godzinnym (np. 11:11:04 PM)

%R  godzina i minuty w formacie 24-godzinnym; to samo co %H:%M

%s  liczba sekund od 00:00:00, 1 stycznia 1970 UTC

%S  sekunda (00..60)

%t  tabulator

%T  czas; to samo co %H:%M:%S

%u  dzień tygodnia (1..7); 1 to poniedziałek

%U  numer tygodnia w roku, niedziela zaczyna tydzień (00..53)

%V  numer tygodnia ISO, poniedziałek zaczyna tydzień (01..53)

%w  dzień tygodnia (0..6); 0 oznacza niedzielę

%W  numer tygodnia w roku, poniedziałek zaczyna tydzień (00..53)

%x  lokalna reprezentacja daty (np. 19.03.2012)

%X  lokalna reprezentacja czasu (np. 23:13:48)

%y  dwie ostatnie cyfry roku (00..99)

%Y  rok

%z  numeryczna strefa czasu +hhmm (np. -0400)

%:z numeryczna strefa czasu +hh:mm (np. -04:00)

%::z
    numeryczna strefa czasu +hh:mm:ss (np. -04:00:00)

%:::z
    numeryczna strefa czasu z : do wymaganej precyzji (np. -04, +05:30)

%Z  alfabetyczny skrót strefy czasowej (np. EDT)

Domyślnie, date wypełnia pola numeryczne zerami. Następujące opcjonalne modyfikatory mogą być umieszczone po %:

-   (łącznik) nie wypełnia pola

_   (podkreślenie) wypełnianie spacjami

0   (zero) wypełnianie zerami

^   używa wielkich liter, jeśli to możliwe

#   zamienia wielkość liter, jeśli to możliwe

Po każdym modyfikatorze można opcjonalnie podać szerokość, jako liczbę dziesiętną; a na końcu kolejny opcjonalny modyfikator, który może przyjąć wartość E, aby używać alternatywnej, lokalnej reprezentacji, jeśli jest dostępna lub O, aby użyć alternatywnych, lokalnych symboli liczbowych, jeśli są dostępne.

PRZYKŁADY
Konwertuje sekundy od epoki Uniksa (1970-01-01 UTC) na datę

    $ date --date='@2147483647'

Pokazuje czas na zachodnim wybrzeżu USA (używa tzselect(1), aby znaleźć TZ)

    $ TZ='America/Los_Angeles' date

Pokazuje lokalny czas dla godziny 9 rano następnego piątku na wschodnim wybrzeżu USA

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

ŁAŃCUCH DATY
Łańcuch opcji --date=ŁAŃCUCH może być prawie dowolnym dającym się odczytać przez człowieka (po angielsku!) łańcuchem, takim jak "Sun, 29 Feb 2004 16:21:42 -0800" lub "2004-02-29 16:21:42", a nawet "next Thursday". Łańcuch daty może zawierać odniesienia do daty kalendarzowej, pory dnia, strefy czasowej, dnia tygodnia, względnego czasu, względnej daty i liczb. Łańcuch pusty wskazuje początek dnia. Łańcuch daty jest bardziej złożony niż to wyjaśniono w niniejszym podręczniku, ale jest w pełni opisany w dokumentacji info.

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu date proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/date>
lub lokalnie, za pomocą info '(coreutils) date invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Robert Luberda (PTM) <robert@debian.org>, Rafał Maszkowski (PTM) <rzm@icm.edu.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.